.posts {
  @include paddingVertical(60px, 100px);

  &__featured-list {
    @include paddingVertical(null, 70px);
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 10px;
  }

  &__recent-list {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 10px;
  }

  @media (min-width: 425px) {
    &__recent-list {
      grid-template-columns: repeat(2, 1fr);
    }
  }

  @media (min-width: 768px) {
    &__featured-list {
      grid-template-columns: repeat(2, 1fr);
      gap: 20px;
    }
  }

  @media (min-width: 1024px) {
    &__featured-list {
      gap: 20px;
    }
    &__recent-list {
      grid-template-columns: repeat(3, 1fr);
      gap: 25px 24px;
    }
  }
}
